Subject: Re: linux-next: Signed-off-by missing for commits in the staging tree

From: Michael Ellerman <[email-masked]>
Date: Wed, 29 Nov 2017 11:09:04 +1100

Stephen Rothwell <[email-masked]> writes:

> Hi Greg,
>
> On Tue, 28 Nov 2017 20:41:39 +0100 Greg KH <[email-masked]> wrote:
>>
>> I need to set up a git hook for this :(
>
> I couldn't find an appropriate hook for fetching or merging other
> trees :-( Instead I run the attached script below after each fetch.

Isn't the update hook what you want?

Called by git-receive-pack:

   Before each ref is updated, if $GIT_DIR/hooks/update file exists and
   is executable, it is invoked once per ref, with three parameters:

       $GIT_DIR/hooks/update refname sha1-old sha1-new

cheers